<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta content="width=device-width, initial-scale=1.0" name="viewport">
        <title>Sign-Up Cost Pane</title>
        <style>
            body {
                font-family: sans-serif;
                box-sizing: border-box;
            }
            .cost-pane {
                border: 0.3em solid green;
                width: 16em;
                text-align: center;
                padding: 0.5em;
            }
            small {
                font-variant: small-caps;
            }
            .cost {
                display: flex;
                justify-content: center;
                margin: 2em 0;
                line-height: 0.7;
            }
            .cost .currency {
                font-size: 2rem;
                align-self: center;
            }
            .cost .amount {
                font-size: 4rem;
            }
            .cost .fraction {
                font-size: 1.5rem;
                align-self: flex-start;
            }
            .cta {
                display: block;
                background-color: #cc6b5a;
                color: #fff;
                padding: 0.5em 1em;
                text-decoration: none;
            }
            .cta:hover {
                box-shadow: 2px 2px 5px #ccc;
                font-weight: bold;
            }
        </style>
    </head>
    <body>
        <h1>Sign-Up Cost Pane</h1>

        <div class="cost-pane">
            <small>Blue Tomato Subscription</small>
            <div class="cost">
                <span class="currency">£</span>
                <span class="amount">42</span>
                <span class="fraction">.00</span>
            </div>
            <a class="cta" href="/signup.html">Sign-Up Now</a>
        </div>
    </body>
</html>
